<?php

// Obtiene el tipo de residuo por su identificador
function get_residuo($residuo_id) {
    global $db;
    $query = '
        SELECT * FROM residuos WHERE residuo_id = :residuo_id';    
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':residuo_id', $residuo_id);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
