<?php include 'view/header.php'; ?>
<?php include 'view/sidebar_user.php'; ?>
<main>

    <h1>Admin - Ajustes de Modelo de Contenedor</h1>
    <h2>
        <?php 
            echo htmlspecialchars($current_modelo_contenedor['denominacion'] . 
                        ': '. $current_modelo_contenedor['descripcion']);
        ?>
    </h2>
    
    <form action="index.php" method="post" id="edit_modelo_form">        
        <input type="hidden" name="action" value="update_modelo">
        <input type="hidden" name="modelo_id"
               value="<?php echo $current_modelo_contenedor['modelo_id']; ?>">

        <br>
            
        <div style="width:610px; border: 0px solid; color:black;">
             
            <div style="float:left; width:160px; border: 0px solid; color:red;">
                <!--Muestra la imagen correspondiente al modelo actual-->                        
                <img src="../images/<?php echo $current_modelo_contenedor['denominacion']; ?>.png" 
                     alt="&nbsp;" style="width:138px;height:151px;">                  
            </div> 

            <div style="float:left; width:440px; border: 0px solid; color:black;">
                
                <i><p>
                Por seguridad en las pruebas (borrados por error, etc.), 
                las acciones de crear, borrar y editar completamente los 
                modelos de contenedor no se pueden realizar desde esta 
                p&aacute;gina. 
                </p>
                <p>
                Es necesario hacerlo directamente desde el administrador 
                de la base de datos.
                </p>                
                <p>
                Solamente se pueden modificar las cuatro variables siguientes, 
                que son las relevantes para el test.
                </p></i>               
            </div> 
        </div>
        
        <br>
       
        <p style="font-size:15px; color:red;">
            No se hace una comprobaci&oacute;n de coherencia de datos. 
            Leer al fin&aacute;l de esta p&aacute;gina la interpretaci&oacute;n 
            de los valores y modificarlos en consecuencia.            
        </p>
        
        <p style="font-size:15px; color:red;">
            En particular, el 'Periodo de actualizaci&oacute;n de datos' 
            ha de ser m&uacute;ltiplo entero del 'Periodo de medida 
            de nivel'.           
        </p>
     
        <br>
                
        <label>Periodo de actualizaci&oacute;n de datos (minutos):</label>
        <input type="number" name="per_act_datos" 
               value="<?php echo $current_modelo_contenedor['periodo_actualizacion_datos']; ?>">
        <br>

        <label>Periodo de medida de nivel (minutos):</label>
        <input type="number" name="per_act_nivel" 
               value="<?php echo $current_modelo_contenedor['periodo_medida_nivel']; ?>">
        
        <br>

        <label>Alarma de nivel (% altura &uacute;til):</label>
        <input type="number" name="alarma_nivel" 
               value="<?php echo $current_modelo_contenedor['porcentaje_alarma_nivel']; ?>">
        <br>

        <label>Alarma de manto. (descargas acumuladas):</label>
        <input type="number" name="alarma_manto" 
               value="<?php echo $current_modelo_contenedor['alarma_mantenimiento']; ?>">  
      
        <br><br>

        <label>&nbsp;</label>
        <input type="submit" onclick="alert('Valores Actualizados.') "value="Actualizar">
        
    </form>
    
    <div id="formatting_directions">       
        <h2>Interpretaci&oacute;n de los valores</h2>
        <ul>
            <li><b>Periodo de actualizaci&oacute;n de datos:</b> Int&eacute;rvalo 
                entre peticiones de datos de ajuste desde la unidad sensora. 
                La unidad sensora solicita una respuesta al servidor y queda 
                en espera de la misma (con un time-out).</li>
            <li><b>Periodo de medida de nivel:</b> Int&eacute;rvalo entre dos 
                comprobaciones consecutivas del nivel de llenado.</li>
            <li><b>Alarma de nivel:</b> El porcentaje entre la altura de los residuos 
                y la altura &uacute;til del contenedor, por encima 
                del cual se dispara la alarma de nivel de llenado.</li>
            <li><b>Alarma de mantenimiento:</b> Cantidad m&aacute;xima de descargas 
                acumuladas entre mantenimientos. Dispara la alarma 
                correspondiente.</li>
        </ul>
    </div>

</main>
<?php include 'view/footer.php'; ?>