<?php include '../view/header.php'; ?>
<?php include '../view/sidebar_user.php'; ?>

<main>
 
    <head>
        
        <script language="JavaScript">           
            function localTime(){
                document.getElementById('hora_local').innerHTML = new Date().toLocaleString();
                setTimeout("localTime()", 1000);
            }

            function refrescaPagina(){
                if(refrescaPagina.staticVar === true) document.getElementById('refrescar_pagina').click();
                setTimeout("refrescaPagina()", 60000);
                refrescaPagina.staticVar = true;
            }            
            refrescaPagina.staticVar = false;
        </script> 
              
        <h2>
            <?php 
                echo htmlspecialchars($current_centro['denominacion'] . ' > ' . 
                                      $current_ubicacion['direccion'] . ' > ' .
                                      $current_container['matricula'] . '.'); 
            ?>
        </h2>

        <h4>
            <?php 
                echo htmlspecialchars('Modelo: ' . $current_modelo_contenedor['denominacion'] . '. ' . 
                                      'Tipo de residuos: ' . $current_residuo['denominacion'] . '.'); 
            ?>
        </h4>
    
    </head>
    
    <body onload="localTime(), refrescaPagina()"></body>
   
    <form action="../user/index.php" method="post" id="container_main_form">        
        <input type="hidden" name="action" value="update_container">
        <input type="hidden" name="contenedor_id"
               value="<?php echo $current_container_id; ?>">
        <input type="hidden" name="centro_id"
               value="<?php echo $current_centro_id; ?>">
        <input type="hidden" name="ubicacion_id"
               value="<?php echo $current_ubicacion_id; ?>">
<!--        <input type="hidden" name="estado_alarma_manto"
               value="<?php echo $alarma_mantenimiento; ?>">-->
        
        <div style="width:610px; border: 0px solid; color:black;">
             
            <div style="float:left; width:160px; border: 0px solid; color:red;">
                <!--Muestra la imagen correspondiente al modelo actual-->                        
                <img src="../images/<?php echo $current_modelo_contenedor['denominacion']; ?>.png" 
                     alt="&nbsp;" style="width:138px;height:151px;">                  
            </div> 

            <div style="float:left; width:440px; border: 0px solid; color:black;">
                <p style="font-weight:bold; color:forestgreen;">Datos en tiempo real:</p>                
                <i><p> 
                   En esta p&aacute;gina se muestran los datos que va enviando 
                   la unidad sensora en tiempo real.
                </p>
                <p>
                    Solamente son programables por el usuario los puntos 
                    de disparo de las alarmas de nivel y de mantenimiento.
                </p>                
                <p>
                    Para variar dichos puntos ir a 'Admin - Ajustes - 
                    (Matr&iacute;cula de este contenedor)'.
                </p></i>                               
            </div> 
        </div>
        
        <br><hr><br>
        
        <!--DATOS DE NIVEL-->

        <p style="font-size:16px; color:black;"><b><ins>Nivel:</ins></b></p>

        <label style="font-size:16px; color:black; float:left; 
               text-align:left; width:125px; border: 0px solid;">Valor Actual (%):</label>
        <label id="nivel_valor_actual" style="font-size:16px; color:black; float:left; 
               text-align:left; width:60px; border: 0px solid;">
                   <b><?php echo $nivel_actual_value; ?></b></label>

        <label style="font-size:16px; color:black; float:left; 
               text-align:left; width:128px; border: 0px solid;">Set Alarma (%):</label>
        <label id="nivel_set_alarma" style="font-size:16px; color:black; float:left; 
               text-align:left; width:60px; border: 0px solid;">
                   <?php echo $current_modelo_contenedor['porcentaje_alarma_nivel']; ?></label>
        
        <label style="font-size:16px; color:black; float:left; 
               text-align:left; width:65px; border: 0px solid;">Alarma:</label>
        <label id="nivel_alarma" style="font-size:12px; color:darkgray; float:left; 
               text-align:left; width:12px; border: 0px solid; background-color:
                    <?php echo $color_alarma_nivel; ?>">.</label>                          
        <br><br>    
    
        <!--DATOS DE TEMPERATURA-->

        <p style="font-size:16px; color:black;"><b><ins>Temperatura:</ins></b></p>

        <label style="font-size:16px; color:black; float:left; 
               text-align:left; width:125px; border: 0px solid;">Valor Actual (&deg;C):</label>
        <label id="temp_valor_actual" style="font-size:16px; color:black; float:left; 
               text-align:left; width:60px; border: 0px solid;">
                   <b><?php echo $temp_actual_value; ?></b></label></label>

        <label style="font-size:16px; color:black; float:left; 
               text-align:left; width:128px; border: 0px solid;">Set Alarma (&delta;&deg;C):</label>
        <label id="temp_set_alarma" style="font-size:16px; color:black; float:left; 
               text-align:left; width:60px; border: 0px solid;">2</label>

        <label style="font-size:16px; color:black; float:left; 
               text-align:left; width:65px; border: 0px solid;">Alarma:</label>
        <label id="temp_alarma" style="font-size:12px; color:darkgray; float:left; 
               text-align:left; width:12px; border: 0px solid; background-color:
                    <?php echo $color_alarma_temp; ?>">.</label>
        <br><br>         

        <!--DATOS DE VERTICALIDAD-->

        <p style="font-size:16px; color:black;"><b><ins>Verticalidad:</ins></b></p>

        <label style="font-size:16px; color:black; float:left; 
               text-align:left; width:125px; border: 0px solid;">Valor Actual (&deg;):</label>
        <label id="vert_valor_actual" style="font-size:16px; color:black; float:left; 
               text-align:left; width:60px; border: 0px solid;">
                   <b><?php echo $vert_actual_value; ?></b></label>

        <label style="font-size:16px; color:black; float:left; 
               text-align:left; width:128px; border: 0px solid;">Set Alarma (&deg;):</label>
        <label id="vert_set_alarma" style="font-size:16px; color:black; float:left; 
               text-align:left; width:60px; border: 0px solid;">45</label>

        <label style="font-size:16px; color:black; float:left; 
               text-align:left; width:65px; border: 0px solid;">Alarma:</label>
        <label id="vert_alarma" style="font-size:12px; color:darkgray; float:left; 
               text-align:left; width:12px; border: 0px solid; background-color:
                    <?php echo $color_alarma_vert; ?>">.</label>               
        <br><br> 

        <!--DATOS DE MANTENIMIENTO-->

        <p style="font-size:16px; color:black;"><b><ins>Mantenimiento:</ins></b></p>

        <label style="font-size:16px; color:black; float:left; 
               text-align:left; width:125px; border: 0px solid;">Descargas:</label>
        <label id="manto_valor_actual" style="font-size:16px; color:black; float:left; 
               text-align:left; width:60px; border: 0px solid;">
                   <b><?php echo $manto_actual_value; ?></b></label>

        <label style="font-size:16px; color:black; float:left; 
               text-align:left; width:128px; border: 0px solid;">Set Alarma:</label>
        <label id="manto_set_alarma" style="font-size:16px; color:black; float:left; 
               text-align:left; width:60px; border: 0px solid;">
                   <?php echo $current_modelo_contenedor['alarma_mantenimiento']; ?></label>

        <label style="font-size:16px; color:black; float:left; 
               text-align:left; width:65px; border: 0px solid;">Alarma:</label>
        <label id="manto_alarma" style="font-size:12px; color:darkgray; float:left; 
               text-align:left; width:12px; border: 0px solid; background-color:
                    <?php echo $color_alarma_manto; ?>">.</label> 
        <br>
               
        <label style="float:right">&nbsp;</label>
        <input name="boton_reset_manto" id="boton_reset_manto" type="submit" 
               onclick="alert('Al dar por finalizado el mantenimiento de ' + 
                              'un contenedor, se pone a cero la cuenta de descargas ' +
                              'acumuladas para el pr&oacute;ximo mantenimiento.')"
            value="Mantenimiento Finalizado">
        
        <br><br><hr>
        
        <!--Fechas/Horas de última actualización y local-->
                      
        <table border="0" style="width:100%">
            <tr>
                <td style="text-align:left; width:59%; font-weight:normal">
                    &Uacute;ltima actualizaci&oacute;n de datos desde el sensor:</td>
                <td id="ultima_actualizacion" style="text-align:left; font-weight:bold">
                      <?php echo $ultima_actualizacion; ?></td>
            </tr>
        </table>
        <table border="0" style="width:100%">
            <tr>
                <td style="text-align:left; width:16%; font-weight:normal">Hora local:</td>
                <td id="hora_local" style="text-align:left; font-weight:bold"></td>
            </tr>
        </table>  
        
        <hr>
        
        <div style="float:left; width:490px; border: 0px solid; color:black">               
            <p style="font-size:15px; color:black">
               Esta p&aacute;gina se refresca autom&aacute;ticamente cada minuto o con el pulsador
            </p>                              
        </div> 
        
        <input style="float:right" name="refrescar_pagina" 
               id="refrescar_pagina" type="submit" value="Refrescar">        
                                  
    </form>
</main>
<?php include '../view/footer.php'; ?>