<?php include '../view/header.php'; ?>
<?php include '../view/sidebar_user.php'; ?>
<main>
    <h2>
        <?php 
            echo htmlspecialchars($current_centro['denominacion'] . ' > ' . 
                                  $current_ubicacion['direccion']. '.'); 
        ?>
    </h2>
 
    <?php if (count($current_ubicacion_containers) == 0) : ?>
        <p>Actualmente no hay contenedores asignados a esta ubicaci&oacute;n.</p>
        <p>Para ver contenedores asignados, ir a <i>'Barcelona Sud >> C. dels Motors, 107'</i>.</p>
   
    <?php else : ?>
        <?php foreach ($current_ubicacion_containers as $container) : ?>
            <p>               
                <a href="
                    <?php 
                        echo '?action=view_container&amp;container_id=' . $container['contenedor_id'] .
                             '&amp;current_centro_id=' . $current_centro['centro_id'] .
                             '&amp;current_ubicacion_id=' . $current_ubicacion['ubicacion_id']; 
                    ?>
                   ">
                    <?php echo htmlspecialchars($container['matricula']); ?>
                </a>                                
            </p>  
        <?php endforeach; ?>
    <?php endif; ?>
</main>
<?php include '../view/footer.php'; ?>