<?php include '../view/header.php'; ?>
<?php include '../view/sidebar_user.php'; ?>

<main>
    <h1 class="top">Ubicaciones accesibles por el usuario</h1>
    <?php if (count($centros) == 0) : ?>
        <p>No hay centros de trabajo asignados al usuario.</p>
    <?php else : ?>
        <h2>
            <?php echo htmlspecialchars($current_centro['denominacion'].':'); ?>
        </h2>
            <?php foreach ($current_centro_ubicaciones as $ubicacion) : ?>
            <p>               
                <a href="
                    <?php 
                        echo $app_path .
                             'user/?action=list_containers_ubicacion' .
                             '&amp;ubicacion_id=' . $ubicacion['ubicacion_id'] .
                             '&amp;current_centro_id=' . $current_centro['centro_id']; 
                    ?>
                   ">
                    <?php echo htmlspecialchars($ubicacion['direccion']); ?>
                </a>                                
            </p>
            <?php endforeach; ?>
    <?php endif; ?>
</main>

<?php include '../view/footer.php'; ?>