<aside>
    <h2>Links</h2>
    <ul>
        <?php            
            $account_url = $app_path . 'user/account';
            $logout_url = $account_url . '?action=logout';
            $settings_url = $account_url . '?action=settings';
            // Comprueba si el usuario está logeado y muestra los links apropiados 
            if (isset($_SESSION['admin'])) :
        ?>
        <li>
            <a href="<?php echo $logout_url; ?>">Logout</a>
        </li>
        <?php else: ?>
        <li>
            <a href="<?php echo $app_path; ?>">Home</a>
        </li>
        <?php endif; ?>

        <?php 
            if (isset($pagina_atras)) :
        ?>
            <!--Volver a la página anterior-->
            <a href="javascript:window.history.back();">Atr&aacute;s</a>
            <br>
            
        <?php endif; ?>
        
        <!--enlace a la pagina de la UOC-->
        <br>
        <a href="http://www.uoc.edu" target="_blank">
            <img border="0" alt="UOC" src="
                 <?php echo $app_path; ?>/images/logo_uoc.png" width="57" height="19"> </a>
        
    </ul>
    
    <?php if (isset($centros)) : ?>    
        <!-- Muestra los links para todos los centros de trabajo 
             a los que tiene acceso el usuario logeado -->
        <h2>Centros</h2>
        <ul>
            <?php foreach ($centros as $centro) : ?>
                <li>
                    <a href="<?php echo $app_path .
                        'user/?action=list_centros' .
                        '&amp;centro_id=' . $centro['centro_id']; ?>">
                        <?php echo htmlspecialchars($centro['denominacion']); ?>
                    </a>
                </li>           
            <?php endforeach; ?>
        </ul>
        
        <!-- Link para tareas de edición de ajustes -->  
        <h2>Admin</h2>
        <a href="<?php echo $settings_url; ?>">Ajustes</a>
    <?php endif; ?>
                
</aside>
