/*
 * adc.h
 *
 *  Created on: 11/11/2015
 *      Author: Miguel A. Fdez.
 */

#ifndef ADC_H_
#define ADC_H_

// milliseconds to wait for take the semaphore
#define adcSEMAPHORE_TAKE_WAIT_MS	60000

#define ADC_PREC_BITS	12	// bits de resolución del conversor AD del micro
#define ADC_REF	3090		// referencia en el ADC del micro en mV

/** Initialize ADC channel
 *
 * @param None
 *
 * @return None
 *
 */
void Adc_init( void );

/** Read ADC channel
 *
 * @param channelNum - Channel number
 *
 * @return Readed value
 *
 */
uint32_t Adc_read( uint8_t channelNum );

#endif /* ADC_H_ */
